org.licas.ws.wsdl.parse

## Class WsdlParser

- java.lang.Object
- - org.licas.ws.wsdl.parse.WsdlParser

-     public class WsdlParser
      extends java.lang.Object

  This class parses a wsdl document. A much modified version of the class used previously on the icons project at UU.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlParser()` Create a new instance of WsdlParser.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `countDimensions(java.lang.String value)` Return the number of dimensions in an array if an array exists or return 0.
    `WsdlModel` | `parse(java.lang.String wsdlAddress)` Creates definition and document objects by retrieving the wsdl document from the specified address.
    `static java.lang.String` | `removeDimensions(java.lang.String value)` Return the String value with the dimensions removed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsdlParser

          public WsdlParser()

      Create a new instance of WsdlParser.

  - ### Method Detail

    - #### parse

          public WsdlModel parse(java.lang.String wsdlAddress)
                          throws java.lang.Exception

      Creates definition and document objects by retrieving the wsdl document from the specified address.
      Parameters:
        `wsdlAddress` - the uri for the wsdl document.
      Returns:
        the wsdl model generated from the parsed document.
      Throws:
        `java.lang.Exception` - any error.

    - #### removeDimensions

          public static java.lang.String removeDimensions(java.lang.String value)

      Return the String value with the dimensions removed.
      Parameters:
        `value` - the type with the dimensions
      Returns:
        the type with the dimensions removed

    - #### countDimensions

          public static int countDimensions(java.lang.String value)

      Return the number of dimensions in an array if an array exists or return 0.
      Parameters:
        `value` - the type with possible array dimensions
      Returns:
        the number of dimensions